Webalo for Symantec
Webalo, Inc.
5.2 Varies with device
Webalo for Symantec is Symantec sealed and requires the use of a Symantec App Center Admin console account. Symantec AppCenter app should be installed on the device. Use of the Webalo for Symantec client also requires a Webalo administrative account.

Connect directly to all the enterprise applications and data users rely on with Webalo® - The app for enterprise®.

With Symantec AppCenter Admin console, organizations can centrally manage and deploy apps for their users, with the confidence that their corporate data is secure. Symantec Sealed apps can leverage a policy framework that provides advanced authorization, configuration, and data security capabilities. Symantec Sealed libraries help to secure and manage enterprise apps on mobile devices while preserving their functionality and user experience. Symantec sealed apps are secured by Symantec AppCenter Workspace policies and controlled within the Symantec AppCenter infrastructure.

Webalo has been verified to work “out-of-the-box” with Symantec security, delivering apps for Android smartphones and tablets. Those apps connect to an end-to-end infrastructure that mobilizes enterprise applications and data without requiring programming, integration, or application servers.

Webalo’s simple, point-and-click, web-based configuration environment can be mastered by anyone, and bi-directional enterprise-to-mobile interactivity can be deployed in minutes to Android devices.

Whether your organization relies on enterprise applications from IBM, Oracle, SAP, Microsoft, Salesforce.com, other vendors, or in-house applications, Webalo provides mobile access to these applications individually or combines functionality and information from multiple applications to give mobile users access to the exact data and functions they need to whiz through tasks and workflows more productively.

Webalo is available as a cloud-based service or a behind-the-firewall virtual appliance that runs on the leading virtualization platforms (hypervisors), including VMware®, and Microsoft Windows Server® 2008 Hyper-V™ and Xen®.

Content rating: UnratedWarning – content has not yet been rated. Unrated apps may potentially contain content appropriate for mature audiences only.

Requires OS: 2.1 and up

...more ...less